TARGET_DIR=data/doc/test/master/repo
REPO_ORIGIN=https://git.vhelio.org/vhelio/vheliotech-guide-de-montage.git
REPO_BRANCH=main
REPO_SOURCE_DIR=source

[ -e $TARGET_DIR ] && rm -rf $TARGET_DIR

mkdir -p $TARGET_DIR
cd $TARGET_DIR

git init --initial-branch=$REPO_BRANCH
git remote add -f origin $REPO_ORIGIN
git sparse-checkout init
git sparse-checkout set "$REPO_SOURCE_DIR"
git pull origin $REPO_BRANCH
git branch --set-upstream-to=origin/$REPO_BRANCH $REPO_BRANCH
